#pragma once

#include "RegDumpDocPaneDlgViewHelper.h"

class CMemMapView : public CRegDumpDocPaneDlgViewHelper
{
		DECLARE_DYNAMIC(CMemMapView)

		// номера строк для listAltPro
		enum LISTALTPRO_L : int
		{
			LINE_MODE = 0,
			LINE_CODE,
			AP_L_NUM
		};

		CMultiEditListCtrl  m_listAltPro;
		CMultiEditListCtrl  m_listMemMap;

	public:
		enum { IDD = IDD_MEMMAPVIEW_DLG };
		CMemMapView();
		virtual ~CMemMapView() override;

		void            RecreateControls();
		void            DisplayRegDump();
		void            ClearMemMapView();

	protected:
		void            DisplayAltProData();
		void            DisplayMemMapView();

		// Generated message map functions
		virtual void    DoDataExchange(CDataExchange *pDX) override;    // DDX/DDV support

		afx_msg LRESULT HandleInitDialog(WPARAM wp, LPARAM lp);
		afx_msg void    OnLvnItemchangedMdAltProData(NMHDR *pNMHDR, LRESULT *pResult);
		DECLARE_MESSAGE_MAP()
};

